// castle-beta2 shader for Vecxis/vradiant
// http://git.vecxis.org
// Note: used worldspawn settings:
// _minlight 0
// _ambient 1
// _color 1 0.9 0.6

textures/castle_beta2/flower1
{
        qer_editorimage textures/castle_beta2/flower1.tga
        surfaceparm alphashadow
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        cull none
        {
                map textures/castle_beta2/flower1.tga
                rgbGen identity
                depthWrite
                alphafunc GT0
        }
        {
                map $lightmap
                blendfunc blend
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/castle_beta2/plant2
{
        qer_editorimage textures/castle_beta2/plant2.tga
        surfaceparm alphashadow
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        cull none
        {
                map textures/castle_beta2/plant2.tga
                rgbGen identity
                depthWrite
                alphafunc GT0
        }
        {
                map $lightmap
                blendfunc blend
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/castle_beta2/vines1
{
        qer_editorimage textures/castle_beta2/vines1.tga
        surfaceparm alphashadow
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        {
                map textures/castle_beta2/vines1.tga
                rgbGen identity
                depthWrite
                alphafunc GT0
        }
        {
                map $lightmap
                blendfunc blend
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/castle_beta2/weed1
{
        qer_editorimage textures/castle_beta2/weed1.tga
        surfaceparm alphashadow
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        {
                map textures/castle_beta2/weed1.tga
                rgbGen identity
                depthWrite
                alphafunc GT0
        }
        {
                map $lightmap
                blendfunc blend
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/castle_beta2/flame_5k
{
        qer_editorimage textures/castle_beta2/flame1.tga
        q3map_surfacelight 8000
        q3map_lightmapFilterRadius 4 8
 	q3map_lightRGB 1 0.6 0.2
        surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm trans
        cull none
        surfaceparm nonsolid
        {
                animMap 10 textures/castle_beta2/flame1.tga textures/castle_beta2/flame2.tga textures/castle_beta2/flame3.tga textures/castle_beta2/flame4.tga textures/castle_beta2/flame5.tga textures/castle_beta2/flame6.tga textures/castle_beta2/flame7.tga textures/castle_beta2/flame8.tga
                blendfunc add
                rgbGen wave inverseSawtooth 0 1 0 10
                
        }        
}

textures/castle_beta2/flame_2k
{
        qer_editorimage textures/castle_beta2/flame1.tga
        q3map_surfacelight 4000
        q3map_lightmapFilterRadius 4 8
 	q3map_lightRGB 1 0.6 0.2
        surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm trans
        cull none
        surfaceparm nonsolid
        {
                animMap 10 textures/castle_beta2/flame1.tga textures/castle_beta2/flame2.tga textures/castle_beta2/flame3.tga textures/castle_beta2/flame4.tga textures/castle_beta2/flame5.tga textures/castle_beta2/flame6.tga textures/castle_beta2/flame7.tga textures/castle_beta2/flame8.tga
                blendfunc add
                rgbGen wave inverseSawtooth 0 1 0 10
                
        }        
}

textures/castle_beta2/fireswirl2red
{
        deformvertexes wave 100 sin 1 2 .1 1
        q3map_surfacelight 300
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nomarks
        cull none
        {
                clampmap textures/castle_beta2/fireswirl2red.tga
                blendfunc add
                tcmod rotate -188
        }
}

textures/castle_beta2/flag_rm_1
{
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        cull none
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        {
		map textures/castle_beta2/flag_rm_1.tga
        }
	{
		map $lightmap
		rgbGen identity
	}
}

textures/castle_beta2/flag_vecxis_1
{
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        cull none
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        {
        	map textures/castle_beta2/flag_vecxis_1.tga
        }
	{
		map $lightmap
		rgbGen identity
	}
}

textures/castle_beta2/grimmnight
{
    skyparms env/grimmnight/grimmnight - -
    qer_editorimage env/grimmnight/grimmnight_rt.tga

    //q3map_sunExt red(0.6) green(0.7) blue(1) intensity(20) degrees(340) elevation(19) deviance(3) samples(16)
    q3map_sunExt 0.9 0.8 1 50 340 19 3 16
    q3map_skylight 10 5 
    q3map_lightmapFilterRadius 0 8
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
}
